Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mystatement
Class Block

    java.lang.Object
      mycompiler.mystatement.Statement
          mycompiler.mystatement.Block

    public class Block

extends Statement

Field Summary
`de.dhbwstuttgart.typeinference.Menge` | `statements`

Constructor Summary
`Block()`

Method Summary
`void` | `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`de.dhbwstuttgart.typeinference.Menge` | `get_Statement()`
`void` | `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`void` | `set_Statement_Menge(de.dhbwstuttgart.typeinference.Menge v)`
`void` | `set_Statement(Statement s)`
`CTripleSet` | `TRStatement(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)` Implementierung des Algorithmus 5.20 von Martin Pl�micke Author: J�rg B�uerle
`CTripleSet` | `TRStatements(CSubstitutionSet sigma, CTypeAssumptionSet V, de.dhbwstuttgart.typeinference.Menge<Statement> statementList, int index, CTypeAssumptionSet V_start, CSupportData supportData)` Implementierung des Algorithmus 5.19 von Martin Pl�micke Author: J�rg B�uerle

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### statements

    public de.dhbwstuttgart.typeinference.Menge statements

Constructor Detail

### Block

    public Block()

Method Detail

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                         java.util.Hashtable ch,
                         java.util.Hashtable bh,
                         boolean ext,
                         java.util.Hashtable parach,
                         java.util.Hashtable parabh)
                  throws SCStatementException

  Throws:
    `SCStatementException`

### get_Statement

    public de.dhbwstuttgart.typeinference.Menge get_Statement()

### set_Statement

    public void set_Statement(Statement s)

### set_Statement_Menge

    public void set_Statement_Menge(de.dhbwstuttgart.typeinference.Menge v)

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
  Throws:
    `JVMCodeException`

### TRStatement

    public CTripleSet TRStatement(CSubstitutionSet sigma,
                                  CTypeAssumptionSet V,
                                  CSupportData supportData)
                           throws CTypeReconstructionException

  Implementierung des Algorithmus 5.20 von Martin Pl�micke
  Author: J�rg B�uerle

  Specified by:
    `TRStatement` in class `Statement`
  Parameters:
    `sigma` -
    `V` -
    `supportData` -
  Returns:
  Throws:
    `CTypeReconstructionException`

### TRStatements

    public CTripleSet TRStatements(CSubstitutionSet sigma,
                                   CTypeAssumptionSet V,
                                   de.dhbwstuttgart.typeinference.Menge<Statement> statementList,
                                   int index,
                                   CTypeAssumptionSet V_start,
                                   CSupportData supportData)
                            throws CTypeReconstructionException

  Implementierung des Algorithmus 5.19 von Martin Pl�micke
  Author: J�rg B�uerle

  Parameters:
    `sigma` -
    `V` -
    `statementList` -
    `index` -
    `V_start` -
    `supportData` -
  Returns:
  Throws:
    `CTypeReconstructionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD